Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361210 - [Nova] Add libosinfo as dependency of Nova package
Summary: [Nova] Add libosinfo as dependency of Nova package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: z2
: 10.0 (Newton)
Assignee: Sahid Ferdjaoui
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On: 1304874 1336796
Blocks: 1408400
TreeView+ depends on / blocked
 
Reported: 2016-07-28 13:52 UTC by Vladik Romanovsky
Modified: 2017-02-23 21:13 UTC (History)
15 users (show)

Fixed In Version: openstack-nova-14.0.2-9.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of: 1336796
: 1408400 (view as bug list)
Environment:
Last Closed: 2017-02-23 21:13:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0319 normal SHIPPED_LIVE openstack-nova bug fix advisory 2017-02-24 02:12:47 UTC
OpenStack gerrit 133945 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 149625 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 149626 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 149627 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 149628 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 175895 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 218962 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 275519 None None None 2016-07-28 13:52:55 UTC
OpenStack gerrit 275520 None None None 2016-07-28 13:52:55 UTC

Comment 1 Stephen Gordon 2016-10-13 01:10:42 UTC
Vladik can you confirm this made 10 as well please? Thanks.

Comment 7 Prasanth Anbalagan 2017-01-16 22:31:03 UTC
Verified as follows,

[root@undercloud-0 ~]# yum deplist openstack-nova-compute.noarch                                                  
    Loaded plugins: search-disabled-repos                                                                            
    package: openstack-nova-compute.noarch 1:14.0.3-1.el7ost                                                          
      dependency: /bin/sh                                                                                            
       provider: bash.x86_64 4.2.46-21.el7_3                                                                          
      dependency: /usr/bin/python2                                                                                    
       provider: python.x86_64 2.7.5-48.el7
      dependency: bridge-utils
       provider: bridge-utils.x86_64 1.5-9.el7
      dependency: curl
       provider: curl.x86_64 7.29.0-35.el7
      dependency: genisoimage
       provider: genisoimage.x86_64 1.1.11-23.el7
      dependency: ipmitool
       provider: ipmitool.x86_64 1.8.15-7.el7
      dependency: iptables
       provider: iptables-services.x86_64 1.4.21-17.el7
       provider: iptables.x86_64 1.4.21-17.el7
       provider: iptables.i686 1.4.21-17.el7
      dependency: iptables-ipv6
       provider: iptables-services.x86_64 1.4.21-17.el7
      dependency: iscsi-initiator-utils
       provider: iscsi-initiator-utils.x86_64 6.2.0.873-35.el7
       provider: iscsi-initiator-utils.i686 6.2.0.873-35.el7
      dependency: libosinfo =====================================> PACKAGE
       provider: libosinfo.x86_64 0.3.0-3.el7
       provider: libosinfo.i686 0.3.0-3.el7
      dependency: libvirt-daemon-kvm
       provider: libvirt-daemon-kvm.x86_64 2.0.0-10.el7_3.2
      dependency: libvirt-python
       provider: libvirt-python.x86_64 2.0.0-2.el7
      dependency: lvm2
       provider: lvm2.x86_64 7:2.02.166-1.el7_3.1
      dependency: openssh-clients
       provider: openssh-clients.x86_64 6.6.1p1-31.el7
      dependency: openstack-nova-common = 1:14.0.3-1.el7ost
       provider: openstack-nova-common.noarch 1:14.0.3-1.el7ost
      dependency: python-cinderclient >= 1.6.0
       provider: python-cinderclient.noarch 1.9.0-4.el7ost
      dependency: python-libguestfs
       provider: python-libguestfs.x86_64 1:1.32.7-3.el7
      dependency: qemu-kvm >= 2.3.0
       provider: qemu-kvm-rhev.x86_64 10:2.6.0-27.el7
       provider: qemu-kvm.x86_64 10:1.5.3-126.el7
      dependency: rsync
       provider: rsync.x86_64 3.0.9-17.el7
      dependency: sg3_utils
       provider: sg3_utils.x86_64 1.37-9.el7
      dependency: sysfsutils
       provider: sysfsutils.x86_64 2.1.0-16.el7

Comment 12 errata-xmlrpc 2017-02-23 21:13:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0319.html


Note You need to log in before you can comment on or make changes to this bug.